/**
 * Detects if there is a potential XPath injection in a given string.
 *
 * @param input - The string to analyze.
 * @returns `true` if a potential XPath injection is detected, otherwise `false`.
 */
export declare function detectXPathInjection(input: string): boolean;
/**
 * Recursively checks an object or array for potential XPath injections.
 *
 * @param obj - The object or array to analyze.
 * @param path - The current path within the object (for reporting purposes).
 * @returns An array of strings describing potential security issues found.
 */
export declare function checkObjectForXPathInjection(obj: any, path?: string): string[];
